# copyright koumbit.org
# Licence: GPL
# derived from http://hg.koumbit.net/puppet-manifests/file/c6b915b4cbd7/nodes.pp#l160

class music_player_daemon {

   package { "mpd": ensure => "installed" }

   file { "/etc/mpd.conf":
       source => "puppet:///music_player_daemon/mpd.conf",
       ensure => present,
       require => Package["mpd"],
       owner => "mpd", group => "audio", mode => "640",
   }
   file { "/var/lib/mpd/playlists/CTARadioCentral.m3u":
       content => "http://onda.radio.cta.org.ar:8000/CTARadioCentral\n",
       ensure => present,
       require => Package["mpd"],
   }
   service { "mpd":
      ensure => "running",
      require => Package['mpd'],
      subscribe => File["/etc/mpd.conf"],
   }
}
