# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class ubuntu_sources_list {

   package { [ "apt" ]: ensure => installed }

    file { "/etc/apt/sources.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("ubuntu_sources_list/sources.list.erb"),
    }
    exec{"/usr/bin/apt-get update":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list"],
        require => File["/etc/apt/sources.list"],
    }
}

class ubuntu_sources_list::virtualbox {

   package { [ "apt" ]: ensure => installed }

    file { "/etc/apt/sources.list.d/virtualbox.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("ubuntu_sources_list/sources.list.d/virtualbox.erb"),
    }
    exec{"/usr/bin/apt-get update":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
        require => File["/etc/apt/sources.list.d/virtualbox.list"],
    }
    exec{"/usr/bin/wget -q http://download.virtualbox.org/virtualbox/debian/sun_vbox.asc -O- | /usr/bin/sudo /usr/bin/apt-key add -":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
        require => File["/etc/apt/sources.list.d/virtualbox.list"],
    }
}
